Bug 587692 - Expand image descriptions in images/README
Summary: Expand image descriptions in images/README
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Dennis Gregorovic
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: 584595
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-30 15:26 UTC by Dennis Gregorovic
Modified: 2011-05-19 12:55 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 584595
Environment:
Last Closed: 2011-05-19 12:55:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0540 0 normal SHIPPED_LIVE redhat-release enhancement update for Red Hat Enterprise Linux 6.1 2011-05-18 17:44:50 UTC

Comment 1 RHEL Program Management 2010-04-30 15:47:28 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Dennis Gregorovic 2010-06-10 14:21:51 UTC
Changes checked into distill

Comment 3 Alexander Todorov 2010-06-29 10:24:51 UTC
# pwd
/mnt/redhat/rel-eng/RHEL6.0-20100622.1/6

# find -name "README" | sort
./Client/i386/os/images/README
./Client/x86_64/os/images/README
./ComputeNode/x86_64/os/images/README
./Server/i386/os/images/README
./Server/ppc64/os/images/README
./Server/s390x/os/images/README
./Server/x86_64/os/images/README
./WebServer/x86_64/os/images/README
./Workstation/i386/os/images/README
./Workstation/x86_64/os/images/README



# cat ./Workstation/x86_64/os/images/README
This directory contains image files that can be used to create media
capable of starting the Red Hat Enterprise Linux 6 installation process.

The boot.iso file is an ISO 9660 image of a bootable CD-ROM.  It is useful
in cases where the CD-ROM installation method is not desired, but the
CD-ROM's boot speed would be an advantage.

To use this image file, burn the file onto CD-R (or CD-RW) media as you
normally would.

Dennis,
the README file is present but it describes only boot.iso and none of the other files. Do you want me to open another bug for this or move back to ASSIGNED?

Comment 4 Dennis Gregorovic 2010-06-29 12:32:55 UTC
That README test is as expected.  It's the same as the original README text from before.  If you open up a DVD, you'll notice that the text is different there.

-----------
# mount -o loop RHEL6.0-20100629.n.0-Server-i386-DVD1.iso /mnt/loop
# cat /mnt/loop/images/README 
This directory contains image files used during the Red Hat Enterprise
Linux 6 installation process.

The boot.iso file that is sometimes found in the images directory has
been removed for space reasons.  It is available as a separate download
from RHN.  boot.iso is an ISO 9660 image of a bootable CD-ROM.  It is useful
in cases where the CD-ROM installation method is not desired, but the
CD-ROM's boot speed would be an advantage.

To use this image file, burn the file onto CD-R (or CD-RW) media as you
-----------

This is the version of README that customers will see and where we wanted to point out that boot.iso is now a separate download.  How does the wording look to you?

Comment 5 Alexander Todorov 2010-06-29 12:41:11 UTC
This looks OK but I was asking if there is going to be description of other files like:

./efiboot.img
./efidisk.img
./install.img
./pxeboot/initrd.img
./pxeboot/vmlinuz
./product.img

Comment 6 Dennis Gregorovic 2010-06-29 12:47:24 UTC
David, could someone from the anaconda team help with some brief descriptions of the above files?

Comment 7 Alexander Todorov 2010-07-07 16:09:25 UTC
Moving back to ASSIGNED because there hasn't been an update to this bug for a week and the latest compose still describes only boot.iso in the README files.

Comment 10 David Cantrell 2011-02-08 19:09:56 UTC
(In reply to comment #5)
> This looks OK but I was asking if there is going to be description of other
> files like:
> 
> ./efiboot.img

CD/DVD boot image for EFI systems

> ./efidisk.img

USB boot image for EFI systems (can be dd'ed to a USB flash drive)

> ./install.img

Installation image, loaded when you start the installation from a supported boot method.

> ./pxeboot/initrd.img

Initial ramdisk file for PXE-capable systems (i386 and x86_64)

> ./pxeboot/vmlinuz

Kernel image for PXE-capable systems (i386 and x86_64)

> ./product.img

RHEL product description information used in the installer

Comment 11 Dennis Gregorovic 2011-02-08 20:22:12 UTC
new README on DVD:

This directory contains image files used during the Red Hat Enterprise
Linux 6 installation process.  These image files include the following:

efiboot.img: CD/DVD boot image for EFI systems
efidisk.img: USB boot image for EFI systems (can be dd'ed to a USB
             flash drive)
install.img: Installation image, loaded when you start the installation
             from a supported boot method.
pxeboot/initrd.img: Initial ramdisk file for PXE-capable systems (i386
                    and x86_64)
pxeboot/vmlinuz: Kernel image for PXE-capable systems (i386 and x86_64)
product.img: RHEL product description information used in the installer

The boot.iso file that is sometimes found in the images directory has
been removed for space reasons.  It is available as a separate download
from RHN.  boot.iso is an ISO 9660 image of a bootable CD-ROM.  It is useful
in cases where the CD-ROM installation method is not desired, but the
CD-ROM's boot speed would be an advantage.

To use this image file, burn the file onto CD-R (or CD-RW) media as you
normally would.

It is also possible to use boot.iso to create bootable USB media.  To do
so, use the dd utility to copy the boot.iso content to the USB media.
Detailed instructions can be found in the Red Hat Enterprise Linux 6
Installation Guide.

new README is os/images directory:

This directory contains image files used during the Red Hat Enterprise
Linux 6 installation process.  These image files include the following:

efiboot.img: CD/DVD boot image for EFI systems
efidisk.img: USB boot image for EFI systems (can be dd'ed to a USB
             flash drive)
install.img: Installation image, loaded when you start the installation
             from a supported boot method.
pxeboot/initrd.img: Initial ramdisk file for PXE-capable systems (i386
                    and x86_64)
pxeboot/vmlinuz: Kernel image for PXE-capable systems (i386 and x86_64)
product.img: RHEL product description information used in the installer

This directory also contains an image file that can be used to create media
capable of starting the Red Hat Enterprise Linux 6 installation process.
The boot.iso file is an ISO 9660 image of a bootable CD-ROM.  It is useful
in cases where the CD-ROM installation method is not desired, but the
CD-ROM's boot speed would be an advantage.

To use this image file, burn the file onto CD-R (or CD-RW) media as you
normally would.

It is also possible to use boot.iso to create bootable USB media.  To do
so, use the dd utility to copy the boot.iso content to the USB media.
Detailed instructions can be found in the Red Hat Enterprise Linux 6
Installation Guide.

Comment 13 Alexander Todorov 2011-02-16 08:14:01 UTC
README file in the compose:

# cat ./Workstation/x86_64/os/images/README
This directory contains image files used during the Red Hat Enterprise
Linux 6 installation process.  These image files include the following:

efiboot.img: CD/DVD boot image for EFI systems
efidisk.img: USB boot image for EFI systems (can be dd'ed to a USB
             flash drive)
install.img: Installation image, loaded when you start the installation
             from a supported boot method.
pxeboot/initrd.img: Initial ramdisk file for PXE-capable systems (i386
                    and x86_64)
pxeboot/vmlinuz: Kernel image for PXE-capable systems (i386 and x86_64)
product.img: RHEL product description information used in the installer

This directory also contains an image file that can be used to create media
capable of starting the Red Hat Enterprise Linux 6 installation process.
The boot.iso file is an ISO 9660 image of a bootable CD-ROM.  It is useful
in cases where the CD-ROM installation method is not desired, but the
CD-ROM's boot speed would be an advantage.

To use this image file, burn the file onto CD-R (or CD-RW) media as you
normally would.

It is also possible to use boot.iso to create bootable USB media.  To do
so, use the dd utility to copy the boot.iso content to the USB media.
Detailed instructions can be found in the Red Hat Enterprise Linux 6
Installation Guide.




README file on DVD:
# cat /var/www/html/rhel/images/README 
This directory contains image files used during the Red Hat Enterprise
Linux 6 installation process.  These image files include the following:

efiboot.img: CD/DVD boot image for EFI systems
efidisk.img: USB boot image for EFI systems (can be dd'ed to a USB
             flash drive)
install.img: Installation image, loaded when you start the installation
             from a supported boot method.
pxeboot/initrd.img: Initial ramdisk file for PXE-capable systems (i386
                    and x86_64)
pxeboot/vmlinuz: Kernel image for PXE-capable systems (i386 and x86_64)
product.img: RHEL product description information used in the installer

The boot.iso file that is sometimes found in the images directory has
been removed for space reasons.  It is available as a separate download
from RHN.  boot.iso is an ISO 9660 image of a bootable CD-ROM.  It is useful
in cases where the CD-ROM installation method is not desired, but the
CD-ROM's boot speed would be an advantage.

To use this image file, burn the file onto CD-R (or CD-RW) media as you
normally would.

It is also possible to use boot.iso to create bootable USB media.  To do
so, use the dd utility to copy the boot.iso content to the USB media.
Detailed instructions can be found in the Red Hat Enterprise Linux 6
Installation Guide.



This is with 20110210.1 build.

Comment 14 errata-xmlrpc 2011-05-19 12:55:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0540.html


Note You need to log in before you can comment on or make changes to this bug.